SwiftGoma.SwiftGoma

Search endpoints

Jump to any API endpoint by name, method, or path

Shop Moderation

List all shops

GET/api/v1/seller/shops/admin

Lists every shop on the platform, any status. Staff-only.

Requires Authorization
ADMIN, SUPPORT only
Session

Query parameters

pagenumber
Defaults to 1.
limitnumber
Max 100. Defaults to 20.
searchstring
Matches shop name.
statusstring
DRAFT, PUBLISHED, or SUSPENDED.
Request
curl --request GET \
  --url https://api.swiftgoma.com/api/v1/seller/shops/admin \
  --header 'Authorization: Bearer <access_token>'
200Example response
{
  "success": true,
  "data": {
    "shops": [
      {
        "id": "shop_2b3c4d",
        "sellerProfileId": "sp_2b3c4d",
        "name": "Boutique Aline",
        "slug": "boutique-aline",
        "description": "Produits alimentaires et boissons en gros et au détail.",
        "logoUrl": "https://res.cloudinary.com/dx3wclabo/image/upload/v1/shops/aline-logo.jpg",
        "bannerUrl": "https://res.cloudinary.com/dx3wclabo/image/upload/v1/shops/aline-banner.jpg",
        "deliveryFee": "2.00",
        "deliveryFeeCurrency": "USD",
        "status": "PUBLISHED",
        "createdAt": "2026-01-08T09:00:00.000Z"
      }
    ],
    "pagination": {
      "page": 1,
      "limit": 20,
      "total": 1,
      "totalPages": 1
    }
  }
}